Gecode::FlatZinc::VarSpec Class Reference

Base class for variable specifications. More...

`#include <varspec.hh>`

## Public Member Functions

virtual | ~VarSpec (void)
| Destructor.
| VarSpec (bool introduced0, bool funcDep0)
| Constructor.

## Public Attributes

int | i
| Variable index.
bool | alias
| Whether the variable aliases another variable.
bool | assigned
| Whether the variable is assigned.
bool | introduced
| Whether the variable was introduced in the mzn2fzn translation.
bool | funcDep
| Whether the variable functionally depends on another variable.

## Detailed Description

Base class for variable specifications.

Definition at line 52 of file varspec.hh.

## Constructor & Destructor Documentation

## ~VarSpec()

virtual Gecode::FlatZinc::VarSpec::~VarSpec | ( | void |  | ) |

inline virtual

Destructor.

Definition at line 55 of file varspec.hh.

## VarSpec()

Gecode::FlatZinc::VarSpec::VarSpec | ( | bool | introduced0,
|  | bool | funcDep0 )

inline

Constructor.

Definition at line 67 of file varspec.hh.

## Member Data Documentation

## i

int Gecode::FlatZinc::VarSpec::i

Variable index.

Definition at line 57 of file varspec.hh.

## alias

bool Gecode::FlatZinc::VarSpec::alias

Whether the variable aliases another variable.

Definition at line 59 of file varspec.hh.

## assigned

bool Gecode::FlatZinc::VarSpec::assigned

Whether the variable is assigned.

Definition at line 61 of file varspec.hh.

## introduced

bool Gecode::FlatZinc::VarSpec::introduced

Whether the variable was introduced in the mzn2fzn translation.

Definition at line 63 of file varspec.hh.

## funcDep

bool Gecode::FlatZinc::VarSpec::funcDep

Whether the variable functionally depends on another variable.

Definition at line 65 of file varspec.hh.

The documentation for this class was generated from the following file:

- gecode/flatzinc/varspec.hh